### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-breadcrumb/deprecated/ecl-breadcrumb-standardised/ecl-breadcrumb-standardised.component.ts`

### Deprecated

Please use EclBreadcrumbComponent instead

### Extends

`EclBreadcrumbComponentBase`

### Metadata

selector | `ecl-breadcrumb-standardised`
styles | `:host { display: block; }`
templateUrl | `./ecl-breadcrumb-standardised.component.html`

### Index

###### Properties
eclSegments ariaLabel eclEllipsisSegment role
###### Methods
onEllipsisSegmentClick getCssClasses
###### Inputs
class e2eAttr
###### HostBindings
class attr.aria-label attr.role
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

attr.aria-label
Type : `any`

attr.role
Type : `string`
Default value : `'navigation'`

### Methods

onEllipsisSegmentClick
`onEllipsisSegmentClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclSegments
Type : `QueryList<EclBreadcrumbStandardisedSegmentComponent>`
Decorators : `@ContentChildren(undefined)`

ariaLabel
Decorators : `@HostBinding('attr.aria-label')`

eclEllipsisSegment
Type : `EclBreadcrumbSegmentComponentBase`
Decorators : `@ViewChild('ellipsisSegment')`

role
Type : `string`
Default value : `'navigation'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""